package com.yeejoin.amos.fas.business.action.result;

import com.alibaba.fastjson.JSON;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class SafteyPlanResult implements ActionResult{
	
	Map<String, Object> data = new HashMap<>();

	@Override
	public JSON toJson() {
		return (JSON) JSON.toJSON(data);
	}

	@Override
	public void addAll(List<Object> data) {
	}

	@Override
	public void add(Object data) {
		this.data.putAll((Map)data);
	}

	@Override
	public List<?> getData() {

		return null;
	}

}
